<template>
  <div class="tile is-ancestor">
    <div class="tile is-vertical">
      <div data-aos="fade-down" class="tile box button-pompier" v-for="capteur in alerte" :key="capteur.id" style="padding: 0;">
        <nuxt-link :to="`/pompier/${capteur.devaddr}`" style="text-decoration:none; cursor: pointer; width: 100%;">
          <article class="media interaction" style="padding: 25px;">
            <div class="media-content">
              <div class="content has-text-centered">
                <strong>Capteur </strong>
                <strong>{{capteur.devaddr}}</strong>
                <br>
                  Application:
                <span v-if="capteur.app === null">
                  <small>Inconnue</small>
                </span>
                <span v-if="capteur.app !== null">
                  <small>{{capteur.app}}</small>
                </span>
                <br>
                <span v-if="capteur.temp > temperatureMax">
                  <span style="color: red; font-size:large;">
                    <strong>
                      Temperature:
                      <small>{{capteur.temp}}</small>
                    </strong>
                  </span>
                  <br>
                </span>

                <span v-if="capteur.press > pressionMax">
                  <span style="color: red; font-size:large;">
                    <strong>
                      Pression:
                      <small>{{ capteur.press }}</small>
                    </strong>
                  </span>
                  <br>
                </span>
              </div>
            </div>
          </article>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>

<script>

  import axios from "axios";

  export default {
    name: 'RegularButtons',

    // sauvegarde du timer
    data(){
      return {
        timer: null
      }
    },

    // valeurs du $store
    computed: {
      temperatureMax() {
        return this.$store.state.parametres.temperatureMaximale
      },
      pressionMax() {
        return this.$store.state.parametres.pressionMaximale
      },
      intervalleSynchro() {
        return this.$store.state.parametres.intervalle
      },
      alerte() {
        let tabDonneesAnormales = []
        tabDonneesAnormales = tabDonneesAnormales.concat(this.$store.state.donnee.donnee.filter(capteur => (capteur.temp > this.temperatureMax || capteur.press > this.pressionMax)))
        return tabDonneesAnormales
      }
    },

    // Démarrage du timer au chargement de la page
    mounted() {
      this.$store.dispatch("donnee/updateDonnee")
      this.timer = setInterval(() => {this.$store.dispatch("donnee/updateDonnee")},this.intervalleSynchro)
    },

    // Destruction du timer au chargement de n'importe quelle autre page
    destroyed() {
      clearInterval(this.timer)
    }
  }

</script>


<style>

  .box:hover {
    background-color: rgb(175, 175, 175);
  }

</style>
